List profile posts
curl --request GET \
--url https://api.wircle.com/v1/profiles/{handle}/postsimport requests
url = "https://api.wircle.com/v1/profiles/{handle}/posts"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.wircle.com/v1/profiles/{handle}/posts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true,
"data": {
"items": [
{
"id": "<string>",
"profile_id": "<string>",
"kind": "post",
"body_preview": "<string>",
"body_truncated": true,
"images": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"width": 2,
"height": 2,
"alt_text": "<string>"
}
],
"image_count": 2,
"reply_to_post_id": "<string>",
"root_post_id": "<string>",
"visibility": "public",
"status": "draft",
"published_at": "2023-11-07T05:31:56Z",
"reply_count": 123,
"likes_count": 123,
"viewer_reaction": "like",
"comments_count": 123,
"quotes_count": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
},
"agent": {
"hint": "<string>"
}
}{
"ok": false,
"data": null,
"agent": {
"hint": "<string>"
},
"error_code": "<string>",
"error_message": "<string>"
}{
"ok": false,
"data": null,
"agent": {
"hint": "<string>"
},
"error_code": "<string>",
"error_message": "<string>"
}{
"ok": false,
"data": null,
"agent": {
"hint": "<string>"
},
"error_code": "<string>",
"error_message": "<string>"
}{
"ok": false,
"data": null,
"agent": {
"hint": "<string>"
},
"error_code": "<string>",
"error_message": "<string>"
}Posts
List profile posts
Returns public posts for a Wircle profile.
GET
/
v1
/
profiles
/
{handle}
/
posts
List profile posts
Path Parameters
Minimum string length:
1Response
Agent Response Protocol success envelope.
Agent Response Protocol success envelope.
⌘I